Debian Bug report logs - #721317
--embed-subs triggers ERROR: Unknown encoder 'mov_text'

version graph

Package: youtube-dl; Maintainer for youtube-dl is Rogério Brito <rbrito@ime.usp.br>; Source for youtube-dl is src:youtube-dl.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Fri, 30 Aug 2013 08:12:02 UTC

Severity: normal

Found in version youtube-dl/2013.08.29-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Rogério Brito <rbrito@ime.usp.br>:
Bug#721317; Package youtube-dl. (Fri, 30 Aug 2013 08:12:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: --embed-subs triggers ERROR: Unknown encoder 'mov_text'
Date: Fri, 30 Aug 2013 01:09:04 -0700
Package: youtube-dl
Version: 2013.08.29-1
Severity: normal

I tried the new --embed-subs option, and got this error:
ERROR: Unknown encoder 'mov_text'

Looks like ffmpeg (or rather, libav-tools) doesn't like that option.  Perhaps a
syntax difference?

- Josh Triplett

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages youtube-dl depends on:
ii  python  2.7.5-4

Versions of packages youtube-dl recommends:
ii  libav-tools  6:9.8-2+b1
ii  mplayer      2:1.0~rc4.dfsg1+svn34540-1+b2
ii  rtmpdump     2.4+20121230.gitdf6c518-1

youtube-dl suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721317; Package youtube-dl. (Fri, 04 Oct 2013 12:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. (Fri, 04 Oct 2013 12:42:12 GMT) Full text and rfc822 format available.

Message #8 received at 721317@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Josh Triplett <josh@joshtriplett.org>, 721317@bugs.debian.org
Subject: Re: Bug#721317: --embed-subs triggers ERROR: Unknown encoder 'mov_text'
Date: Fri, 4 Oct 2013 09:41:24 -0300
Hi, Josh.

I am increasingly unsatisfied with libav and I think that we may need
to have ffmpeg back in Debian, perhaps having the installation in
parallel. ffmpeg actually has a bunch of features that libav doesn't
(support for OpenCL, many filters, like video stabilization,
concatenation of files from the command line etc.)

It really sucks that we are stuck with libav in Debian.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://cynic.cc/blog/ : github.com/rbrito : profiles.google.com/rbrito
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Information forwarded to debian-bugs-dist@lists.debian.org, Rogério Brito <rbrito@ime.usp.br>:
Bug#721317; Package youtube-dl. (Fri, 04 Oct 2013 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to Rogério Brito <rbrito@ime.usp.br>. (Fri, 04 Oct 2013 17:21:04 GMT) Full text and rfc822 format available.

Message #13 received at 721317@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 721317@bugs.debian.org
Subject: Re: Bug#721317: --embed-subs triggers ERROR: Unknown encoder 'mov_text'
Date: Fri, 4 Oct 2013 10:15:23 -0700
On Fri, Oct 04, 2013 at 09:41:24AM -0300, Rogério Brito wrote:
> I am increasingly unsatisfied with libav and I think that we may need
> to have ffmpeg back in Debian, perhaps having the installation in
> parallel. ffmpeg actually has a bunch of features that libav doesn't
> (support for OpenCL, many filters, like video stabilization,
> concatenation of files from the command line etc.)
> 
> It really sucks that we are stuck with libav in Debian.

I can't argue with that; I have no particular bias for or against libav
in terms of project politics, and in terms of technical capability libav
doesn't seem capable of keeping up.  (Why they're not just automatically
incorporating every new upstream changes from ffmpeg I don't know.)  At
least at the moment, I think it would make sense to upload ffmpeg in
parallel with libav; unless there's some strong technical argument in
favor of libav, we should probably then work towards a transition among
packages that currently build-depend on libav.

That would also make it easier to solve various other problems, such as
getting mythtv into Debian.

- Josh Triplett



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721317; Package youtube-dl. (Sat, 05 Oct 2013 03:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. (Sat, 05 Oct 2013 03:00:04 GMT) Full text and rfc822 format available.

Message #18 received at 721317@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Josh Triplett <josh@joshtriplett.org>
Cc: 721317@bugs.debian.org
Subject: Re: Bug#721317: --embed-subs triggers ERROR: Unknown encoder 'mov_text'
Date: Fri, 4 Oct 2013 23:46:32 -0300
Dear Josh,

On Oct 04 2013, Josh Triplett wrote:
> On Fri, Oct 04, 2013 at 09:41:24AM -0300, Rogério Brito wrote:
> > I am increasingly unsatisfied with libav and I think that we may need
> > to have ffmpeg back in Debian, perhaps having the installation in
> > parallel. ffmpeg actually has a bunch of features that libav doesn't
> > (support for OpenCL, many filters, like video stabilization,
> > concatenation of files from the command line etc.)
> > 
> > It really sucks that we are stuck with libav in Debian.
> 
> I can't argue with that; I have no particular bias for or against libav
> in terms of project politics,

Me neither.

But, in the interest of full disclosure, I can only say that, some months
ago, I dropped by on libav's IRC channel asking about if libav had video
stabilization (if you don't know what this is, just check this out and be
amazed: http://youtu.be/HYE3KAl8RAQ), since ffmpeg had it for some time.

No one responded to that. I waited for some minutes and a person started
talking with me (which I assumed was a libav developer) saying that ffmpeg
incorporated all the commits/changes in ffmpeg and, therefore, it would be a
superset of what libav allowed anyway.

I asked him why libav didn't have this, then, and if "transplanting" this
feature to libav would be accepted, as I would be willing to both package
libvidstab (used by ffmpeg) and the glue code to libav.

He answered that he didn't care, because libav, feature-wise was lagging
behind ffmpeg and his efforts were in ffmpeg.

So, you see it: in libav's IRC channel, no one from libav responded too me.
OTOH, an ffmpeg developer was quick to respond to my message.

Our chatting became longer and I asked him about an unbiased (as much as
possible) version of the *real* story behind the fork and he was prompt to
enlighten me with way more substance than what was published everywhere.

He was very welcoming and treated me very well and he repeatedly (in fact,
so much that I almost told him that I understood the message :) ) told me
that I should ask the libav developers for their version of the fact, to
avoid having his biased recounting of the whole story.

I have, BTW, both filed an ITP bug and packaged libvidstab:

   http://bugs.debian.org/709193

And submitted patches upstream:

   https://github.com/georgmartius/vid.stab/graphs/contributors


(Can't find my packaging, but, in the worst case, packaging it after my
changes were accepted is, now, very easy).

> and in terms of technical capability libav doesn't seem capable of keeping
> up.

Perfectly the situation.

> (Why they're not just automatically incorporating every new upstream
> changes from ffmpeg I don't know.)

According to said ffmpeg developer, ffmpeg incorporates every change from
libav, while the converse is not true. And one does not need to trust his
words: just see their git tree for all the merges.

   http://git.videolan.org/?p=ffmpeg.git

ffmpeg has a native VP9 decoder (read: "fast"):

    http://git.videolan.org/?p=ffmpeg.git;a=blob;f=libavcodec/vp9.c;h=0eb92f8c08764c425c08c57393787b5c5d1d3808;hb=HEAD

libav doesn't:

    http://git.libav.org/?p=libav.git;a=tree;f=libavcodec;h=46042d4e2a3f699174f783b5ac11b7d2ca280780;hb=HEAD

> At least at the moment, I think it would make sense to upload ffmpeg in
> parallel with libav; unless there's some strong technical argument in
> favor of libav, we should probably then work towards a transition among
> packages that currently build-depend on libav.

Would you be interested in helping maintain ffmpeg in Debian with me?

> That would also make it easier to solve various other problems, such as
> getting mythtv into Debian.

Not only that, but XBMC also depends on ffmpeg and, currently, uses an
embedded copy of it. And the upcoming version of XBMC reaffirms the use of
ffmpeg as well:

    http://xbmc.org/xbmc-13-gotham-april-and-may-cycles/
    https://github.com/xbmc/xbmc/blob/master/lib/ffmpeg/Changelog



Cheers,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://cynic.cc/blog/ : github.com/rbrito : profiles.google.com/rbrito
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Information forwarded to debian-bugs-dist@lists.debian.org, Rogério Brito <rbrito@ime.usp.br>:
Bug#721317; Package youtube-dl. (Sat, 05 Oct 2013 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to Rogério Brito <rbrito@ime.usp.br>. (Sat, 05 Oct 2013 03:03:04 GMT) Full text and rfc822 format available.

Message #23 received at 721317@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 721317@bugs.debian.org
Subject: Re: Bug#721317: --embed-subs triggers ERROR: Unknown encoder 'mov_text'
Date: Fri, 4 Oct 2013 20:00:21 -0700
On Fri, Oct 04, 2013 at 11:46:32PM -0300, Rogério Brito wrote:
> But, in the interest of full disclosure, I can only say that, some months
> ago, I dropped by on libav's IRC channel asking about if libav had video
> stabilization (if you don't know what this is, just check this out and be
> amazed: http://youtu.be/HYE3KAl8RAQ), since ffmpeg had it for some time.

Wow.

> I have, BTW, both filed an ITP bug and packaged libvidstab:
> 
>    http://bugs.debian.org/709193

Do any video players currently in Debian have the ability to use this
library?

> On Oct 04 2013, Josh Triplett wrote:
> > and in terms of technical capability libav doesn't seem capable of keeping
> > up.
> 
> Perfectly the situation.
> 
> > (Why they're not just automatically incorporating every new upstream
> > changes from ffmpeg I don't know.)
> 
> According to said ffmpeg developer, ffmpeg incorporates every change from
> libav, while the converse is not true.

Makes no sense to me; seems like as long as both projects are active
there's no sense in not merging in every new change (modulo any
technical disagreements on how to implement them, but I know of no such
issues here).

> > At least at the moment, I think it would make sense to upload ffmpeg in
> > parallel with libav; unless there's some strong technical argument in
> > favor of libav, we should probably then work towards a transition among
> > packages that currently build-depend on libav.
> 
> Would you be interested in helping maintain ffmpeg in Debian with me?

Happily; I'd be happy to collaborate on packaging via git.

> > That would also make it easier to solve various other problems, such as
> > getting mythtv into Debian.
> 
> Not only that, but XBMC also depends on ffmpeg and, currently, uses an
> embedded copy of it.

Yeah, so does mythtv.  The single biggest packaging challenge there
would be to use a packaged ffmpeg, since mythtv counts on the ability to
use its own embedded version.

- Josh Triplett



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:45:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.